com.mysql.jdbc

## Class MysqlSavepoint

- java.lang.Object
- - com.mysql.jdbc.MysqlSavepoint

All Implemented Interfaces:
  java.sql.Savepoint

    public class MysqlSavepoint
    extends java.lang.Object
    implements java.sql.Savepoint

Represents SQL SAVEPOINTS in MySQL.

### Constructor Summary

Constructors
Constructor and Description
`MysqlSavepoint(ExceptionInterceptor exceptionInterceptor)` Creates an unnamed savepoint.
`MysqlSavepoint(java.lang.String name, ExceptionInterceptor exceptionInterceptor)` Creates a named savepoint

### Method Summary

Methods
`int` `getSavepointId()`
`java.lang.String` `getSavepointName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MysqlSavepoint

    MysqlSavepoint(ExceptionInterceptor exceptionInterceptor)
             throws java.sql.SQLException

Creates an unnamed savepoint.

Parameters:
  `conn` -
Throws:
  `java.sql.SQLException` - if an error occurs

#### MysqlSavepoint

    MysqlSavepoint(java.lang.String name,
                  ExceptionInterceptor exceptionInterceptor)
             throws java.sql.SQLException

Creates a named savepoint

Parameters:
  `name` - the name of the savepoint.
Throws:
  `java.sql.SQLException` - if name == null or is empty.

### Method Detail

#### getSavepointId

    public int getSavepointId()
                       throws java.sql.SQLException

Specified by:
  `getSavepointId` in interface `java.sql.Savepoint`
Throws:
  `java.sql.SQLException`
See Also:
  `Savepoint.getSavepointId()`

#### getSavepointName

    public java.lang.String getSavepointName()
                                      throws java.sql.SQLException

Specified by:
  `getSavepointName` in interface `java.sql.Savepoint`
Throws:
  `java.sql.SQLException`
See Also:
  `Savepoint.getSavepointName()`